#include <bits/stdc++.h>

using namespace std;

int main()
{
    short int p,q,r;
    long long int l,d,b,i;
    b=0;
    scanf("%hi %hi %hi %lli %lli",&p,&q,&r,&l,&d);
    if(p==1||q==1||r==1)
    {
        printf("0");
        return 0;
    }
    for(i=l;i<=d;i++)
    {
        if(ceil((float)i/p)+ceil((float)i/q)+ceil((float)i/r)<=i)
        {
            b++;
        }
    }
    printf("%lli",b);
    return 0;
}